import { setLocale, setRoute } from '$lib/translations';

/**
 * @typedef {Object} LayoutData
 * @property {string} route
 * @property {string} language
 */

/** @type {import('@sveltejs/kit').Load<LayoutData>} */
export const load = async ({ data }) => {
  const { route, language } = data ?? {};

  if (route) await setRoute(route);
  if (language) await setLocale(language);

  return data ?? {};
};
